Bug 1860337 (CVE-2020-14404)

Summary: CVE-2020-14404 libvncserver: libvncserver/rre.c allows out-of-bounds access via encodings
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jadahl, negativo17, oholy, rdieter
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libvncserver 0.9.13 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-02 17:19:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1860338, 1860339, 1861163, 1861164, 1861165, 1861166    
Bug Blocks: 1860332    

Description Marian Rehak 2020-07-24 10:27:06 UTC
An issue was discovered in LibVNCServer before 0.9.13. libvncserver/rre.c allows out-of-bounds access via encodings.

Upstream commit:

CVE-2020-14404

Comment 1 Marian Rehak 2020-07-24 10:29:15 UTC
Created libvncserver tracking bugs for this issue:

Affects: epel-7 [bug 1860338]
Affects: fedora-all [bug 1860339]

Comment 2 Todd Cullum 2020-07-28 00:33:21 UTC
in  libvncserver/rre.c's subrectEncode##bpp() rectangle encoder, there's a potential out-of-bounds read due to && operator order. The patch reverses the order. This flaw could potentially cause undefined behavior or a crash if the width (w) is incorrect.